package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbSetTransactionStatement extends MariadbStatementImpl {
   private Boolean global;
   private Boolean session;
   private boolean local;
   private String isolationLevel;
   private String accessModel;
   private SQLExpr policy;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public Boolean getGlobal() {
      return this.global;
   }

   public void setGlobal(Boolean global) {
      this.global = global;
   }

   public String getIsolationLevel() {
      return this.isolationLevel;
   }

   public void setIsolationLevel(String isolationLevel) {
      this.isolationLevel = isolationLevel;
   }

   public String getAccessModel() {
      return this.accessModel;
   }

   public void setAccessModel(String accessModel) {
      this.accessModel = accessModel;
   }

   public Boolean getSession() {
      return this.session;
   }

   public void setSession(Boolean session) {
      this.session = session;
   }

   public boolean isLocal() {
      return this.local;
   }

   public void setLocal(boolean local) {
      this.local = local;
   }

   public SQLExpr getPolicy() {
      return this.policy;
   }

   public void setPolicy(SQLExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.policy = x;
   }
}
